# Class CommitScatterChartMaker

java.lang.Object
net.sf.statcvs.charts.CommitScatterChartMaker

public class CommitScatterChartMaker extends Object
Produces the commit scatter chart.

Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`CommitScatterChartMaker(ReportConfig config, int width)`
Creates a new CommitScatterChartMaker.

## Method Summary

Modifier and Type
Method
Description
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommitScatterChartMaker

public CommitScatterChartMaker(ReportConfig config, int width)
Creates a new CommitScatterChartMaker.

Parameters:
  `width` - The width of the chart in pixels
  `repository` - The repository to be analyzed

## Method Details

### toFile

public ChartImage toFile()

Returns:
  An image file for the chart